#include <iostream>
#include <fstream>

/*
ukazka cteni dat z CSV souboru
prectena data program ulozi pro dalsi zpracovani
*/

using namespace std;

//pole struktur zde ma pevnou velikost 2, v souboru mame dva radky dat
//ve vasich projektech bud tuto hodnotu zjistite predem spocitanim radku v souboru nebo ji nastavite na pocatecni hodnotu, a pokud bude potreba pole rozsirite
const int N = 2;

struct Vysledek
{
    char jmeno[50];//jen pro ukazku zde mam jmeno ulozene v poli znaku, predpokladam ale, ze v projektoech budete radeji pracovat s datovym typem string
    string prijmeni;
    int pokus;
    double body;
};

void nactiData(ifstream &zdroj, Vysledek cil[N])
{
    for(int i = 0; i<N;i++)
    {
        //ukazka jak nacist pole znaku
        //funkce se jmenuje stejne jako jiz znamy getline, avsak neni to ta sama funkce getline pro string, ktere predate stream pro cteni dat jako parametr
        //tato funkce patri objektu ifstream, parametry jsou: pole znaku, pocet znaku ktere chceme nacist a volitelny oddelovac
        //nacteme znaky po oddelovac strednik a ulozime do polozky jmeno v i-t strukture v poli
        zdroj.getline(cil[i].jmeno,50,';');

        //nacteme reteyec po oddelovac strednik a ulozime do polozky jmeno v i-t strukture v poli
        //oddelovac lze nastavit jako volitelny treti parametr
        getline(zdroj,cil[i].prijmeni,';');

        //pomoci operatoru >> nacteme cislo a ulozime ho do polozky pokus ve stejne strukture
        //operator automaticky provede prevod na cislo
        zdroj>>cil[i].pokus;
        //zbaveni se stredniku na vstupu
        //precteme a zahodime (nikam neukladame)
        zdroj.get();

        //opet nacteni cisla, ukladame do polozky body
        zdroj>>cil[i].body;
        //precetli jsme vsechna data na radku, jeste musime ze vstupu precist znak '\n'
        zdroj.get();
    }
}

void vypisData(Vysledek data[N])
{
    for(int i = 0; i<N;i++)
    {
        //vypis naplnene i-t struktury
        cout<<data[i].jmeno<<" "<<data[i].prijmeni<<", "<<data[i].pokus<<". pokus, ziskane body: "<<data[i].body<<endl;
    }
}

int main()
{
    ifstream infile("in.csv");

    //pole dvou struktur
    //ve vasich projektech je vsak nutno pouzit dynamickou alokaci
    //tedy n nebude konstanta
    Vysledek vysledky[N];

    nactiData(infile,vysledky);
    vypisData(vysledky);

    infile.close();
    return 0;
}
